%define svnrev 2892
%define upname doxygenplugin

Name: trac-doxygen-plugin
Version: 0.4
Release: 0.12.r%{svnrev}%{?dist}
Summary: Integrates doxygen documentation into Trac
License: BSD

Group: Applications/Internet
URL: http://trac-hacks.org/wiki/DoxygenPlugin
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
Source0: %{upname}-r%{svnrev}.tar.bz2
# svn export -r 2892 http://trac-hacks.org/svn/doxygenplugin/0.10 doxygenplugin
#  tar -cjvf doxygenplugin-r2892.tar.bz2  doxygenplugin
Patch0: doxygenplugin-trac12.patch

BuildArch: noarch
BuildRequires: python-devel python-setuptools
Requires: trac python-setuptools python-clearsilver

%description
The aim is to embed one or multiple doxygen-generated documentation(s) 
within Trac, in order to have consistent look and feel, and easy referencing 
to doxygen pages using the usual TracLinks and the doxygen: prefix.

%prep
%setup -n %{upname} -q
%patch0 -p1
chmod -x doxygentrac/templates/doxygen.cs

%build
%{__python} setup.py build


%install
%{__rm} -fr %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
 
%files
%doc COPYING
%{python_sitelib}/*

%changelog
* Wed Jan 23 2013 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.12.r2892
- Include a dependency on python-clearsilver (bz #902844)
- Minor cleanups

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.11.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.10.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 08 2011 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.9.r2892
- Patch to work with trac 0.12. Fixes bz #694153

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.8.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4-0.7.r2892
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.6.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.5.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-0.4.r2892
- Rebuild for Python 2.6

* Tue Dec 18 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.3.r2892
- Renamed as trac-doxygen-plugin

* Mon Dec 17 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.2.r2892
- Removed redundant line in install section

* Thu Dec 13 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.1.r2892
- Initial build, initial template borrowed from Jesse Keating's trac-webadmin
